/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __BIOPATTERN_BPF_SKEL_H__
#define __BIOPATTERN_BPF_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct biopattern_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *counters;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *handle__block_rq_complete;
	} progs;
	struct {
		struct bpf_link *handle__block_rq_complete;
	} links;
	struct biopattern_bpf__rodata {
		dev_t targ_dev;
	} *rodata;
};

static void
biopattern_bpf__destroy(struct biopattern_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
biopattern_bpf__create_skeleton(struct biopattern_bpf *obj);

static inline struct biopattern_bpf *
biopattern_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct biopattern_bpf *obj;

	obj = (struct biopattern_bpf *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (biopattern_bpf__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	biopattern_bpf__destroy(obj);
	return NULL;
}

static inline struct biopattern_bpf *
biopattern_bpf__open(void)
{
	return biopattern_bpf__open_opts(NULL);
}

static inline int
biopattern_bpf__load(struct biopattern_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct biopattern_bpf *
biopattern_bpf__open_and_load(void)
{
	struct biopattern_bpf *obj;

	obj = biopattern_bpf__open();
	if (!obj)
		return NULL;
	if (biopattern_bpf__load(obj)) {
		biopattern_bpf__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
biopattern_bpf__attach(struct biopattern_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
biopattern_bpf__detach(struct biopattern_bpf *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
biopattern_bpf__create_skeleton(struct biopattern_bpf *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "biopattern_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "counters";
	s->maps[0].map = &obj->maps.counters;

	s->maps[1].name = "biopatte.rodata";
	s->maps[1].map = &obj->maps.rodata;
	s->maps[1].mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "handle__block_rq_complete";
	s->progs[0].prog = &obj->progs.handle__block_rq_complete;
	s->progs[0].link = &obj->links.handle__block_rq_complete;

	s->data_sz = 5168;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb0\x10\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x0d\0\x79\x16\x10\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x7b\x2a\xf8\xff\0\0\0\0\x7b\
\x2a\xf0\xff\0\0\0\0\x7b\x2a\xe8\xff\0\0\0\0\x61\x17\x18\0\0\0\0\0\x61\x11\x08\
\0\0\0\0\0\x63\x1a\xe4\xff\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x23\
\0\0\0\0\0\0\x18\x04\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x1d\x43\x04\0\0\0\0\0\
\x61\x22\0\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\x77\x01\0\0\x20\0\0\0\x5d\x12\x26\0\
\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xe4\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x55\0\x10\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\
\x02\0\0\xe4\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xe8\xff\xff\xff\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\x02\0\0\0\x15\
\0\x01\0\0\0\0\0\x55\0\x16\0\xef\xff\xff\xff\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\
\xe4\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\
\x10\0\0\0\0\0\x79\x02\0\0\0\0\0\0\x15\x02\x0c\0\0\0\0\0\xb7\x01\0\0\x10\0\0\0\
\x1d\x62\x01\0\0\0\0\0\xb7\x01\0\0\x14\0\0\0\xbf\x02\0\0\0\0\0\0\x0f\x12\0\0\0\
\0\0\0\xb7\x01\0\0\x01\0\0\0\xc3\x12\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\x67\x01\0\
\0\x09\0\0\0\x67\x01\0\0\x20\0\0\0\x77\x01\0\0\x20\0\0\0\xdb\x10\x08\0\0\0\0\0\
\x0f\x76\0\0\0\0\0\0\x7b\x60\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xff\xff\xff\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x54\
\x03\0\0\x54\x03\0\0\x74\x04\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\
\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\
\x19\0\0\0\0\0\0\x08\x09\0\0\0\x1f\0\0\0\0\0\0\x08\x0a\0\0\0\x2e\0\0\0\0\0\0\
\x08\x0b\0\0\0\x32\0\0\0\0\0\0\x08\x0c\0\0\0\x38\0\0\0\0\0\0\x01\x04\0\0\0\x20\
\0\0\0\0\0\0\0\0\0\0\x02\x0e\0\0\0\x45\0\0\0\x04\0\0\x04\x18\0\0\0\x4d\0\0\0\
\x0f\0\0\0\0\0\0\0\x59\0\0\0\x0f\0\0\0\x40\0\0\0\x5f\0\0\0\x0b\0\0\0\x80\0\0\0\
\x6a\0\0\0\x0b\0\0\0\xa0\0\0\0\x71\0\0\0\0\0\0\x08\x10\0\0\0\x77\0\0\0\0\0\0\
\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x05\0\0\x04\x28\0\0\0\x8e\0\0\0\x01\0\0\0\0\0\
\0\0\x93\0\0\0\x05\0\0\0\x40\0\0\0\x9f\0\0\0\x07\0\0\0\x80\0\0\0\xa3\0\0\0\x0d\
\0\0\0\xc0\0\0\0\xa9\0\0\0\x01\0\0\0\0\x01\0\0\xb3\0\0\0\0\0\0\x0e\x11\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\x02\x14\0\0\0\xbc\0\0\0\x08\0\0\x04\x30\0\0\0\xde\0\0\
\0\x15\0\0\0\0\0\0\0\xe2\0\0\0\x08\0\0\0\x40\0\0\0\xe6\0\0\0\x18\0\0\0\x80\0\0\
\0\xed\0\0\0\x0c\0\0\0\xc0\0\0\0\xf7\0\0\0\x02\0\0\0\xe0\0\0\0\xfd\0\0\0\x1b\0\
\0\0\0\x01\0\0\x02\x01\0\0\x0a\0\0\0\x40\x01\0\0\x11\x01\0\0\x1c\0\0\0\x60\x01\
\0\0\x18\x01\0\0\x04\0\0\x04\x08\0\0\0\x8e\0\0\0\x16\0\0\0\0\0\0\0\x24\x01\0\0\
\x17\0\0\0\x10\0\0\0\x2a\x01\0\0\x17\0\0\0\x18\0\0\0\x38\x01\0\0\x02\0\0\0\x20\
\0\0\0\x3c\x01\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\x4b\x01\0\0\0\0\0\x01\x01\0\0\
\0\x08\0\0\0\x59\x01\0\0\0\0\0\x08\x19\0\0\0\x62\x01\0\0\0\0\0\x08\x0f\0\0\0\
\x66\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x1a\0\0\
\0\x04\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x1a\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\x0d\x02\0\0\0\x6b\x01\0\0\x13\0\0\0\x6f\x01\0\0\x01\0\0\x0c\x1d\
\0\0\0\0\0\0\0\0\0\0\x0a\x20\0\0\0\0\0\0\0\0\0\0\x09\x08\0\0\0\x4d\x04\0\0\0\0\
\0\x0e\x1f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x1a\0\0\0\x04\0\0\0\x04\0\
\0\0\x56\x04\0\0\0\0\0\x0e\x22\0\0\0\x01\0\0\0\x5e\x04\0\0\x01\0\0\x0f\0\0\0\0\
\x12\0\0\0\0\0\0\0\x28\0\0\0\x64\x04\0\0\x01\0\0\x0f\0\0\0\0\x21\0\0\0\0\0\0\0\
\x04\0\0\0\x6c\x04\0\0\x01\0\0\x0f\0\0\0\0\x23\0\0\0\0\0\0\0\x04\0\0\0\0\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x64\x65\x76\x5f\x74\0\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x64\x65\
\x76\x5f\x74\0\x75\x33\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x6c\x61\x73\x74\x5f\x73\
\x65\x63\x74\x6f\x72\0\x62\x79\x74\x65\x73\0\x73\x65\x71\x75\x65\x6e\x74\x69\
\x61\x6c\0\x72\x61\x6e\x64\x6f\x6d\0\x5f\x5f\x75\x36\x34\0\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x74\x79\
\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\
\x6c\x75\x65\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x63\x6f\x75\x6e\x74\x65\
\x72\x73\0\x74\x72\x61\x63\x65\x5f\x65\x76\x65\x6e\x74\x5f\x72\x61\x77\x5f\x62\
\x6c\x6f\x63\x6b\x5f\x72\x71\x5f\x63\x6f\x6d\x70\x6c\x65\x74\x65\0\x65\x6e\x74\
\0\x64\x65\x76\0\x73\x65\x63\x74\x6f\x72\0\x6e\x72\x5f\x73\x65\x63\x74\x6f\x72\
\0\x65\x72\x72\x6f\x72\0\x72\x77\x62\x73\0\x5f\x5f\x64\x61\x74\x61\x5f\x6c\x6f\
\x63\x5f\x63\x6d\x64\0\x5f\x5f\x64\x61\x74\x61\0\x74\x72\x61\x63\x65\x5f\x65\
\x6e\x74\x72\x79\0\x66\x6c\x61\x67\x73\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x63\
\x6f\x75\x6e\x74\0\x70\x69\x64\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\
\x6f\x72\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x65\
\x63\x74\x6f\x72\x5f\x74\0\x75\x36\x34\0\x63\x68\x61\x72\0\x63\x74\x78\0\x68\
\x61\x6e\x64\x6c\x65\x5f\x5f\x62\x6c\x6f\x63\x6b\x5f\x72\x71\x5f\x63\x6f\x6d\
\x70\x6c\x65\x74\x65\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x62\x6c\x6f\
\x63\x6b\x2f\x62\x6c\x6f\x63\x6b\x5f\x72\x71\x5f\x63\x6f\x6d\x70\x6c\x65\x74\
\x65\0\x30\x3a\x32\0\x2f\x75\x73\x72\x2f\x73\x72\x63\x2f\x52\x50\x4d\x2f\x42\
\x55\x49\x4c\x44\x2f\x62\x63\x63\x2d\x30\x2e\x31\x39\x2e\x30\x2f\x6c\x69\x62\
\x62\x70\x66\x2d\x74\x6f\x6f\x6c\x73\x2f\x62\x69\x6f\x70\x61\x74\x74\x65\x72\
\x6e\x2e\x62\x70\x66\x2e\x63\0\x09\x73\x65\x63\x74\x6f\x72\x5f\x74\x20\x2a\x6c\
\x61\x73\x74\x5f\x73\x65\x63\x74\x6f\x72\x70\x2c\x20\x20\x73\x65\x63\x74\x6f\
\x72\x20\x3d\x20\x63\x74\x78\x2d\x3e\x73\x65\x63\x74\x6f\x72\x3b\0\x09\x73\x74\
\x72\x75\x63\x74\x20\x63\x6f\x75\x6e\x74\x65\x72\x20\x2a\x63\x6f\x75\x6e\x74\
\x65\x72\x70\x2c\x20\x7a\x65\x72\x6f\x20\x3d\x20\x7b\x7d\x3b\0\x30\x3a\x33\0\
\x09\x75\x33\x32\x20\x6e\x72\x5f\x73\x65\x63\x74\x6f\x72\x20\x3d\x20\x63\x74\
\x78\x2d\x3e\x6e\x72\x5f\x73\x65\x63\x74\x6f\x72\x3b\0\x30\x3a\x31\0\x09\x64\
\x65\x76\x5f\x74\x20\x64\x65\x76\x20\x3d\x20\x63\x74\x78\x2d\x3e\x64\x65\x76\
\x3b\0\x09\x69\x66\x20\x28\x74\x61\x72\x67\x5f\x64\x65\x76\x20\x21\x3d\x20\x2d\
\x31\x20\x26\x26\x20\x74\x61\x72\x67\x5f\x64\x65\x76\x20\x21\x3d\x20\x64\x65\
\x76\x29\0\x2f\x75\x73\x72\x2f\x73\x72\x63\x2f\x52\x50\x4d\x2f\x42\x55\x49\x4c\
\x44\x2f\x62\x63\x63\x2d\x30\x2e\x31\x39\x2e\x30\x2f\x6c\x69\x62\x62\x70\x66\
\x2d\x74\x6f\x6f\x6c\x73\x2f\x2e\x2f\x6d\x61\x70\x73\x2e\x62\x70\x66\x2e\x68\0\
\x09\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\
\x75\x70\x5f\x65\x6c\x65\x6d\x28\x6d\x61\x70\x2c\x20\x6b\x65\x79\x29\x3b\0\x09\
\x69\x66\x20\x28\x76\x61\x6c\x29\0\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\
\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x6d\x61\x70\
\x2c\x20\x6b\x65\x79\x2c\x20\x69\x6e\x69\x74\x2c\x20\x42\x50\x46\x5f\x4e\x4f\
\x45\x58\x49\x53\x54\x29\x3b\0\x09\x69\x66\x20\x28\x65\x72\x72\x20\x26\x26\x20\
\x65\x72\x72\x20\x21\x3d\x20\x2d\x45\x45\x58\x49\x53\x54\x29\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\
\x65\x6c\x65\x6d\x28\x6d\x61\x70\x2c\x20\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\
\x28\x21\x63\x6f\x75\x6e\x74\x65\x72\x70\x29\0\x09\x69\x66\x20\x28\x63\x6f\x75\
\x6e\x74\x65\x72\x70\x2d\x3e\x6c\x61\x73\x74\x5f\x73\x65\x63\x74\x6f\x72\x29\
\x20\x7b\0\x09\x09\x69\x66\x20\x28\x63\x6f\x75\x6e\x74\x65\x72\x70\x2d\x3e\x6c\
\x61\x73\x74\x5f\x73\x65\x63\x74\x6f\x72\x20\x3d\x3d\x20\x73\x65\x63\x74\x6f\
\x72\x29\0\x09\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\
\x64\x5f\x61\x64\x64\x28\x26\x63\x6f\x75\x6e\x74\x65\x72\x70\x2d\x3e\x62\x79\
\x74\x65\x73\x2c\x20\x6e\x72\x5f\x73\x65\x63\x74\x6f\x72\x20\x2a\x20\x35\x31\
\x32\x29\x3b\0\x09\x63\x6f\x75\x6e\x74\x65\x72\x70\x2d\x3e\x6c\x61\x73\x74\x5f\
\x73\x65\x63\x74\x6f\x72\x20\x3d\x20\x73\x65\x63\x74\x6f\x72\x20\x2b\x20\x6e\
\x72\x5f\x73\x65\x63\x74\x6f\x72\x3b\0\x7d\0\x74\x61\x72\x67\x5f\x64\x65\x76\0\
\x4c\x49\x43\x45\x4e\x53\x45\0\x2e\x6d\x61\x70\x73\0\x2e\x72\x6f\x64\x61\x74\
\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\
\x14\0\0\0\xbc\x01\0\0\xd0\x01\0\0\x3c\0\0\0\x08\0\0\0\x89\x01\0\0\x01\0\0\0\0\
\0\0\0\x1e\0\0\0\x10\0\0\0\x89\x01\0\0\x1b\0\0\0\0\0\0\0\xb0\x01\0\0\xec\x01\0\
\0\x29\x58\0\0\x10\0\0\0\xb0\x01\0\0\x1c\x02\0\0\x1c\x5c\0\0\x28\0\0\0\xb0\x01\
\0\0\x46\x02\0\0\x17\x60\0\0\x30\0\0\0\xb0\x01\0\0\x6b\x02\0\0\x13\x64\0\0\x38\
\0\0\0\xb0\x01\0\0\x6b\x02\0\0\x08\x64\0\0\x40\0\0\0\xb0\x01\0\0\x82\x02\0\0\
\x06\x6c\0\0\x68\0\0\0\xb0\x01\0\0\x82\x02\0\0\x15\x6c\0\0\x70\0\0\0\xb0\x01\0\
\0\x82\x02\0\0\x18\x6c\0\0\x78\0\0\0\xb0\x01\0\0\x82\x02\0\0\x21\x6c\0\0\x88\0\
\0\0\xb0\x01\0\0\x82\x02\0\0\x06\x6c\0\0\x98\0\0\0\xb0\x01\0\0\0\0\0\0\0\0\0\0\
\xa0\0\0\0\xaa\x02\0\0\xe2\x02\0\0\x08\x3c\0\0\xb8\0\0\0\xaa\x02\0\0\x08\x03\0\
\0\x06\x40\0\0\xc8\0\0\0\xaa\x02\0\0\x12\x03\0\0\x08\x4c\0\0\0\x01\0\0\xaa\x02\
\0\0\x4b\x03\0\0\x0a\x50\0\0\x18\x01\0\0\xaa\x02\0\0\x67\x03\0\0\x09\x5c\0\0\
\x38\x01\0\0\xb0\x01\0\0\x8e\x03\0\0\x06\x7c\0\0\x40\x01\0\0\xb0\x01\0\0\x9e\
\x03\0\0\x10\x84\0\0\x48\x01\0\0\xb0\x01\0\0\x9e\x03\0\0\x06\x84\0\0\x58\x01\0\
\0\xb0\x01\0\0\xbc\x03\0\0\x07\x88\0\0\x68\x01\0\0\xb0\x01\0\0\0\0\0\0\0\0\0\0\
\x88\x01\0\0\xb0\x01\0\0\xe3\x03\0\0\x34\x98\0\0\x98\x01\0\0\xb0\x01\0\0\xe3\
\x03\0\0\x2a\x98\0\0\xa8\x01\0\0\xb0\x01\0\0\xe3\x03\0\0\x03\x98\0\0\xb0\x01\0\
\0\xb0\x01\0\0\x1e\x04\0\0\x21\xa0\0\0\xb8\x01\0\0\xb0\x01\0\0\x1e\x04\0\0\x18\
\xa0\0\0\xc0\x01\0\0\xb0\x01\0\0\x4b\x04\0\0\x01\xa8\0\0\x10\0\0\0\x89\x01\0\0\
\x03\0\0\0\0\0\0\0\x14\0\0\0\xac\x01\0\0\0\0\0\0\x28\0\0\0\x14\0\0\0\x42\x02\0\
\0\0\0\0\0\x30\0\0\0\x14\0\0\0\x67\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\0\0\x02\0\xb0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xc8\0\0\0\0\0\x02\0\xc0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc1\0\0\0\0\0\x02\0\
\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xba\0\0\0\0\0\x02\0\x10\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xb3\0\0\0\0\0\x02\0\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xac\0\0\0\
\0\0\x02\0\x68\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xa4\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x1d\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x3a\0\0\0\x12\0\x02\0\
\0\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\x01\0\0\0\x11\0\x03\0\0\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\
\0\x09\0\0\0\xe0\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\
\0\x09\0\0\0\x34\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x4c\x03\0\0\0\0\0\0\x0a\0\0\
\0\x0b\0\0\0\x64\x03\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\
\x07\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x07\0\
\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\
\x80\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\xa0\0\
\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\xc0\0\0\0\0\
\0\0\0\0\0\0\0\x07\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\xe0\0\0\0\0\0\0\0\
\0\0\0\0\x07\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x07\0\0\0\x10\x01\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\
\x07\0\0\0\x30\x01\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\
\x07\0\0\0\x50\x01\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x60\x01\0\0\0\0\0\0\0\0\0\0\
\x07\0\0\0\x70\x01\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x80\x01\0\0\0\0\0\0\0\0\0\0\
\x07\0\0\0\x90\x01\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\xa0\x01\0\0\0\0\0\0\0\0\0\0\
\x07\0\0\0\xb0\x01\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\xc0\x01\0\0\0\0\0\0\0\0\0\0\
\x07\0\0\0\xd0\x01\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\xe0\x01\0\0\0\0\0\0\0\0\0\0\
\x07\0\0\0\xfc\x01\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x0c\x02\0\0\0\0\0\0\0\0\0\0\
\x07\0\0\0\x1c\x02\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x4b\x4c\x4a\x49\0\x74\x61\x72\
\x67\x5f\x64\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\x63\x6f\x75\x6e\x74\x65\x72\x73\0\x2e\x6d\x61\x70\x73\0\x2e\
\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x68\x61\x6e\x64\x6c\x65\x5f\
\x5f\x62\x6c\x6f\x63\x6b\x5f\x72\x71\x5f\x63\x6f\x6d\x70\x6c\x65\x74\x65\0\x2e\
\x72\x65\x6c\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x62\x6c\x6f\x63\x6b\
\x2f\x62\x6c\x6f\x63\x6b\x5f\x72\x71\x5f\x63\x6f\x6d\x70\x6c\x65\x74\x65\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\
\x61\x62\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\
\x49\x43\x45\x4e\x53\x45\0\x4c\x42\x42\x30\x5f\x39\0\x4c\x42\x42\x30\x5f\x36\0\
\x4c\x42\x42\x30\x5f\x35\0\x4c\x42\x42\x30\x5f\x32\0\x4c\x42\x42\x30\x5f\x31\
\x31\0\x4c\x42\x42\x30\x5f\x31\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x0a\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x58\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xd0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x93\0\0\0\
\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x44\x02\0\0\0\0\0\0\xe0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x14\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\x0a\0\0\0\
\0\0\0\x2c\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x8b\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x0c\0\0\0\0\0\0\x20\
\x01\0\0\0\0\0\0\x0d\0\0\0\x08\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x54\0\
\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x0d\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\x08\0\0\0\x02\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x9b\0\0\0\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x0d\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x08\
\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x10\0\0\0\x09\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x0d\0\0\0\0\0\0\xf0\x01\0\0\0\0\0\0\x08\0\0\0\
\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x2c\0\0\0\x03\x4c\xff\x6f\0\0\0\
\x80\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x0f\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x83\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xd4\x0f\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __BIOPATTERN_BPF_SKEL_H__ */
